GET /resolve/{authority}/{namespace}
Operation ID: getResolveObjects
Auth: unknown
Description
Identifiers toward the beginning of the list have priority. Subsequent identifiers are checked if a node cannot be found for an earlier identifier.
Parameters (8)
(string, header, optional)
The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.
(string, path, required)
Specifies an authority for collections of objects.
(integer, query, optional)
Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.
(string, query, optional)
If `"true"`, includes all members of `childNodes` in `_embedded`.
Constraints: {'pattern': '^true$'}
(string, query, optional)
If `"true"`, includes `parentNode` in `_embedded`.
Constraints: {'pattern': '^true$'}
(string, query, optional)
If `"true"`, includes `primaryImage` in `_embedded`.
Constraints: {'pattern': '^true$'}
(string, path, required)
Specifies a particular collection of objects, under an authority.
(string, query, required)
A comma-separated list of object IDs.
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic GBIF taxon resolution | curl |
http://phylopic.org/api/resolve/gbif.org/taxon?objectIDs=5231190 |
|
| Resolution with embedded primary image and parent node | curl |
http://phylopic.org/api/resolve/gbif.org/taxon?objectIDs=5231190&embed_primaryImage=true&embed_parentNode=true |
|
| Multiple object IDs with build specification | curl |
http://phylopic.org/api/resolve/gbif.org/taxon?objectIDs=5231190,5231191,5231192&build=1 |
|
| Resolve external database ID | openapi-spec |
https://api.phylopic.org/resolve/gbif.org/species?objectIDs=798 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:30:26.634735 | 404 | 221ms | |
| 2026-03-23 09:47:12.997531 | 404 | 219ms | |
| 2026-03-23 09:18:11.803767 | 404 | 277ms | |
| 2026-03-23 09:07:55.024429 | 200 | 155ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:18:11.803767 | a9477c7a8978 |
e45f162b440d |